#ifndef PLAYER_H
#define PLAYER_H

PyObject* scriptsdll_getgameobj(PyObject *self, PyObject *args);
PyObject* scriptsdll_getplayerid(PyObject *self, PyObject *args);
PyObject* scriptsdll_getplayername(PyObject *self, PyObject *args);
PyObject* scriptsdll_getplayernamebyid(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_changeteam(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_changeteambyid(PyObject *self, PyObject *args);
PyObject* scriptsdll_getplayercount(PyObject *self, PyObject *args);
PyObject* scriptsdll_getteamplayercount(PyObject *self, PyObject *args);
PyObject* scriptsdll_getteam(PyObject *self, PyObject *args);
PyObject* scriptsdll_getrank(PyObject *self, PyObject *args);
PyObject* scriptsdll_getkills(PyObject *self, PyObject *args);
PyObject* scriptsdll_getdeaths(PyObject *self, PyObject *args);
PyObject* scriptsdll_getscore(PyObject *self, PyObject *args);
PyObject* scriptsdll_getmoney(PyObject *self, PyObject *args);
PyObject* scriptsdll_getkd(PyObject *self, PyObject *args);
PyObject* scriptsdll_getpartname(PyObject *self, PyObject *args);
PyObject* scriptsdll_getpartnames(PyObject *self, PyObject *args);
PyObject* scriptsdll_getgameobjbyplayername(PyObject *self, PyObject *args);
PyObject* scriptsdll_purchaseitem(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setladderpoints(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setrung(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setmoney(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setscore(PyObject *self, PyObject *args);
PyObject* scriptsdll_findfirstplayer(PyObject *self, PyObject *args);
PyObject* scriptsdll_changeplayerteam(PyObject *self, PyObject *args);
PyObject* scriptsdll_tallyteamsize(PyObject *self, PyObject *args);
PyObject* scriptsdll_getteamscore(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_sendcustomallplayers(PyObject *self, PyObject *args);
PyObject* scriptsdll_stealteamcredits(PyObject *self, PyObject *args);
PyObject* scriptsdll_getteamcredits(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_changeteam2(PyObject *self, PyObject *args);
PyObject* scriptsdll_getplayertype(PyObject *self, PyObject *args);
PyObject* scriptsdll_getteamcost(PyObject *self, PyObject *args);
PyObject* scriptsdll_getcost(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setenlisted(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setbeacon(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setrefill(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setpreset(PyObject *self, PyObject *args);
PyCFunction* scriptsdll_setalternate(PyObject *self, PyObject *args);

#endif